summary refs log tree commit diff
path: root/contrib
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-08-11 14:54:40 -0400
committerJune McEnroe <june@causal.agency>2020-08-11 14:58:57 -0400
commitab9ddde3bf09ab47606cb26060ac124c92ea7515 (patch)
tree0b830029214f5c966a47bdb0bbfa93742492a85a /contrib
parentImplement stub of palaverapp.com capability (diff)
downloadpounce-ab9ddde3bf09ab47606cb26060ac124c92ea7515.tar.gz
pounce-ab9ddde3bf09ab47606cb26060ac124c92ea7515.zip
contrib/palaver: Add configure script
Diffstat (limited to 'contrib')
-rw-r--r--contrib/palaver/.gitignore1
-rwxr-xr-xcontrib/palaver/configure49
2 files changed, 50 insertions, 0 deletions
diff --git a/contrib/palaver/.gitignore b/contrib/palaver/.gitignore
new file mode 100644
index 0000000..aee2e4c
--- /dev/null
+++ b/contrib/palaver/.gitignore
@@ -0,0 +1 @@
+config.mk
diff --git a/contrib/palaver/configure b/contrib/palaver/configure
new file mode 100755
index 0000000..9a7e8d8
--- /dev/null
+++ b/contrib/palaver/configure
@@ -0,0 +1,49 @@
+#!/bin/sh
+set -eu
+
+cflags() {
+	echo "CFLAGS += $*"
+}
+ldlibs() {
+	echo "LDLIBS ${o:-}= $*"
+	o=+
+}
+config() {
+	pkg-config --print-errors "$@"
+	cflags $(pkg-config --cflags "$@")
+	ldlibs $(pkg-config --libs "$@")
+}
+defstr() {
+	cflags "-D'$1=\"$2\"'"
+}
+defvar() {
+	defstr "$1" "$(pkg-config --variable=$3 $2)${4:-}"
+}
+
+exec >config.mk
+
+for opt; do
+	case "${opt}" in
+		(--prefix=*) echo "PREFIX = ${opt#*=}" ;;
+		(--mandir=*) echo "MANDIR = ${opt#*=}" ;;
+		(*) echo "warning: unsupported option ${opt}" >&2 ;;
+	esac
+done
+
+case "$(uname)" in
+	(FreeBSD)
+		config libcurl libtls sqlite3
+		echo 'INSTALLS = install-rcs'
+		;;
+	(OpenBSD)
+		ldlibs -ltls
+		config libcurl sqlite3
+		;;
+	(Linux)
+		cflags -D_GNU_SOURCE
+		config libcurl libtls sqlite3
+		;;
+	(*)
+		config libcurl libtls sqlite3
+		;;
+esac
2html.c: die when write failsJohn Keeping 2013-05-22ui-log: add <span/> around commit decorationsJohn Keeping 2013-05-22Makefile: fix parallel "make test"John Keeping 2013-05-18cache.c: fix cache_lsJohn Keeping 2013-05-13t0109: "function" is a bash-ismJohn Keeping 2013-05-13New mailing list.Jason A. Donenfeld 2013-04-30ui-snapshot: do not access $HOMEJason A. Donenfeld 2013-04-27t0001: validate Git -rcN version numbers correctlyJohn Keeping 2013-04-27git: update to 1.8.2.2John Keeping 2013-04-17scan-tree: fix regression in section-from-path=-1John Keeping 2013-04-15t0001: ignore ".dirty" suffix on Git versionJohn Keeping 2013-04-15tests: set TEST_OUTPUT_DIRECTORY to the CGit test directoryJohn Keeping 2013-04-15t0109: test more URLsJohn Keeping 2013-04-10cgitrc.5.txt: Specify when scan-path must be defined before.Jason A. Donenfeld 2013-04-10ui-snapshot.c: Prepend "V" when guessing ref namesLukas Fleischer 2013-04-10t0107: Skip ZIP tests if unzip(1) isn't availableLukas Fleischer 2013-04-10tests/: Do not use `sed -i`Lukas Fleischer 2013-04-10Add branch-sort and repo.branch-sort options.Jason A. Donenfeld 2013-04-10t0109: chain operations with &&John Keeping 2013-04-10cgit.c: Do not restore unset environment variablesLukas Fleischer 2013-04-09t0107: Use `tar -z` for gzip'ed archivesLukas Fleischer